{% for category, details in evaluation_results.items() %}
    <div class="no-page-break border rounded-md p-4 mb-4">
        <div class="no-page-break flex justify-between items-center bg-gray-100 p-4 rounded-md">
            {% if details.score == 100 %}
            <div class="no-page-break flex items-center text-green-700">
                <svg class="no-page-break w-6 h-6 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path class="no-page-break" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 13l4 4L19 7" />
                </svg>
                <h2 class="no-page-break text-xl font-bold">{{ category }} - Passed</h2>
            </div>
            {% else %}
            <div class="no-page-break flex items-center text-red-700">
                <svg class="no-page-break w-6 h-6 mr-2" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                    <path class="no-page-break" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                </svg>
                <h2 class="no-page-break text-xl font-bold"> {{ category }} - Failed</h2>
            </div>
            {% endif %}
            </h2>
            <!-- Add a bar to show details.score -->
            <div class="no-page-break relative w-48 mr-6">
                <div class="no-page-break relative w-full h-4 bg-gray-200 rounded-md overflow-hidden ml-4 mr-6">
                    <div class="no-page-break absolute top-0 left-0 h-full bg-green-500" style="width: {{ details.score }}%"></div>
                    <div class="no-page-break absolute top-0 h-full bg-red-500" style="width: {{ 100 - details.score }}%; left: {{ details.score }}%"></div>
                </div>
                <!-- Add a score text below the bar -->
                <div class="no-page-break relative w-full mt-1 text-xs font-semibold" style="left: {{ details.score - 1}}%">
                    {{ details.score }}%
                </div>
            </div>
        </div>
        {% for key, value in details.items() if key != 'score' %}
            <div class="mt-4">
                {% if value.score == 100 %}
                    <div class="flex justify-between items-center bg-gray-200 p-4 cursor-pointer" onclick="toggleDetailBody(this)">
                        <h3 class="text-lg font-semibold">{{ key }}</h3>
                        <div class="flex items-center">
                            <span class="no-page-break text-sm text-gray-700 mr-2">Score: {{ value.score  }}%</span>
                            <svg class="no-page-break arrow-icon w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7" />
                            </svg>
                        </div>
                    </div>
                {% else %}
                    <div style="border-width: 2px; border-color: red;" class="flex justify-between items-center bg-gray-200 p-4 cursor-pointer" onclick="toggleDetailBody(this)">
                        <h3 class="text-lg font-semibold text-red-500">{{ key }}</h3>
                        <div class="flex items-center">
                            <span class="no-page-break text-sm text-red-500 mr-2">Score: {{ value.score  }}%</span>
                            <svg class="no-page-break arrow-icon w-5 h-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
                                <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7" />
                            </svg>
                        </div>
                    </div>
                {% endif %}
                <div class="hidden mt-2 p-4 bg-gray-50 grid grid-cols-2 gap-4">
                    <div class="pr-2" id="evaluation_results_output">
                        <p class="no-page-break"><strong>Type:</strong> {{ value.type }}</p>
                        <p class="no-page-break"><strong>Evaluation Method:</strong> {{ value.method }}</p>
                        <p class="no-page-break"><strong>Evaluation Criteria:</strong> {{ value.criteria }}</p>
                        {% for i in range(value.question|length) %}
                            {% if category == "TRANSPARENCY" %}
                                <div class=" no-page-break bg-gray-100 rounded-md p-4 mt-2">
                                    <!-- <p><strong>Question:</strong> {{ value.question[i] }}</p> -->
                                    <p class="no-page-break"><strong>Reasoning:</strong> {{  value.answer }}</p>
                                    <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                                </div>
                            {% elif category == "ROBUSTNESS" or (key == "EQUITY")%}
                                <div class="no-page-break bg-gray-100 rounded-md p-4 mt-2">
                                    <!-- <p><strong>Question:</strong> {{ value.question[i] }}</p> -->
                                    <p class="no-page-break"><strong>Answer:</strong> {{  value.answer[i] }}</p>
                                    <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[0] }}%</p>
                                </div>
                                {% elif category == "SOUNDNESS" or (key == "COHERENCE") %}
                                <div class="no-page-break bg-gray-100 rounded-md p-4 mt-2">
                                    <p class="no-page-break"><strong>Question:</strong> {{ value.question[i] }}</p>
                                    <p class="no-page-break"><strong>Answer:</strong> {{  value.answer[i] }}</p>
                                    <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                                </div>
                            {% else %}
                                <div class="no-page-break bg-gray-100 rounded-md p-4 mt-2">
                                    <!-- <p><strong>Question:</strong> {{ value.question[i] }}</p> -->
                                    <p class="no-page-break"><strong>Answer:</strong> {{  value.answer[i] }}</p>
                                    <p class="no-page-break"><strong>Score:</strong> {{ value.score_list_single_question[i] }}%</p>
                                </div>
                            {% endif %}
                        {% endfor %}
                    </div>
                    <div class="pl-2" id="mitigation_output">
                        <div>
                            <h3 class="no-page-break text-lg font-semibold">How to improve the score / Mitigation</h3>
                            <p class="no-page-break">{{ value.mitigation }}</p>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endfor %}

<script>
    function toggleDetailBody(header) {
        const body = header.nextElementSibling;
        body.classList.toggle('hidden');
        const icon = header.querySelector('.arrow-icon');
        icon.classList.toggle('rotate');
    }
</script>

<style>
    .no-page-break {
        page-break-inside: avoid;
    }
</style>